アラートを作成
新しいアラートを作成します
POST
/
api
/
v2
/
alerts
アラートを作成
curl --request POST \
--url https://api.hyperdx.io/api/v2/alerts \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"channel": {
"type": "webhook",
"webhookId": "65f5e4a3b9e77c001a789012"
},
"dashboardId": "65f5e4a3b9e77c001a567890",
"interval": "1h",
"message": "Error rate has exceeded 100 in the last hour",
"name": "Error Spike Alert",
"source": "tile",
"threshold": 100,
"thresholdType": "above",
"tileId": "65f5e4a3b9e77c001a901234"
}
'import requests
url = "https://api.hyperdx.io/api/v2/alerts"
payload = {
"channel": {
"type": "webhook",
"webhookId": "65f5e4a3b9e77c001a789012"
},
"dashboardId": "65f5e4a3b9e77c001a567890",
"interval": "1h",
"message": "Error rate has exceeded 100 in the last hour",
"name": "Error Spike Alert",
"source": "tile",
"threshold": 100,
"thresholdType": "above",
"tileId": "65f5e4a3b9e77c001a901234"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
channel: {type: 'webhook', webhookId: '65f5e4a3b9e77c001a789012'},
dashboardId: '65f5e4a3b9e77c001a567890',
interval: '1h',
message: 'Error rate has exceeded 100 in the last hour',
name: 'Error Spike Alert',
source: 'tile',
threshold: 100,
thresholdType: 'above',
tileId: '65f5e4a3b9e77c001a901234'
})
};
fetch('https://api.hyperdx.io/api/v2/alerts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"channel": {
"type": "webhook",
"webhookId": "65f5e4a3b9e77c001a789012"
},
"createdAt": "2023-01-01T00:00:00.000Z",
"dashboard": "65f5e4a3b9e77c001a567890",
"groupBy": "<string>",
"id": "65f5e4a3b9e77c001a123456",
"interval": "15m",
"message": "Error rate exceeds threshold",
"name": "High Error Rate",
"savedSearch": "<string>",
"silenced": true,
"source": "tile",
"state": "inactive",
"team": "65f5e4a3b9e77c001a345678",
"threshold": 100,
"thresholdType": "above",
"tileId": "65f5e4a3b9e77c001a901234",
"updatedAt": "2023-01-01T00:00:00.000Z"
}
}{
"message": "<string>"
}{
"message": "<string>"
}承認
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
ボディ
application/json
Show child attributes
Show child attributes
例:
"1h"
利用可能なオプション:
tile, search 例:
"tile"
例:
100
利用可能なオプション:
above, below 例:
"above"
例:
"65f5e4a3b9e77c001a567890"
例:
"Test Alert Message"
例:
"Test Alert"
例:
"65f5e4a3b9e77c001a901234"
レスポンス
アラートを正常に作成しました
Show child attributes
Show child attributes
最終更新日 2026年6月26日
⌘I
アラートを作成
